Bug 1123159 - features:install -v switchyard results in java.io.IOException being logged
Summary: features:install -v switchyard results in java.io.IOException being logged
Keywords:
Status: ON_QA
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER2
: 6.2.0
Assignee: kconner
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 03:15 UTC by Len DiMaggio
Modified: 2015-11-02 08:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Len DiMaggio 2014-07-25 03:15:36 UTC
Description of problem:

features:install -v switchyard

15:08:43,681 | WARN  | Thread-48        | BndUtils                         | 2 - org.ops4j.pax.url.wrap - 1.3.7 | Bundle cannot be generated
java.io.IOException: Pipe closed
	at java.io.PipedInputStream.checkStateForReceive(PipedInputStream.java:261)[:1.7.0_51]
	at java.io.PipedInputStream.receive(PipedInputStream.java:227)[:1.7.0_51]
	at java.io.PipedOutputStream.write(PipedOutputStream.java:149)[:1.7.0_51]
	at java.util.zip.DeflaterOutputStream.deflate(DeflaterOutputStream.java:253)[:1.7.0_51]
	at java.util.zip.ZipOutputStream.closeEntry(ZipOutputStream.java:238)[:1.7.0_51]
	at aQute.lib.osgi.Jar.writeResource(Jar.java:305)[2:org.ops4j.pax.url.wrap:1.3.7]
	at aQute.lib.osgi.Jar.write(Jar.java:211)[2:org.ops4j.pax.url.wrap:1.3.7]
	at org.ops4j.pax.swissbox.bnd.BndUtils$1.run(BndUtils.java:174)[2:org.ops4j.pax.url.wrap:1.3.7]




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rob Cernich 2014-10-14 16:41:44 UTC
Related JIRA: https://ops4j1.jira.com/browse/PAXURL-265

Comment 2 Aileen 2015-03-05 17:51:25 UTC
Check what version of pax url is in 6.2 .

Comment 3 Aileen 2015-03-11 09:08:17 UTC
Fuse 6.2 has pax-url 2.4.0 which contains the fix for PAXURL-265.

Please retest.


Note You need to log in before you can comment on or make changes to this bug.